%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File name: PlotDataDelay.m
%
% Description: Generates plots of the data used for 
%              identification purposes. Delayed output 
%              added
%
% Inputs: System signals.
%
% Outputs: Plots of inputs and outputs.
%
% Author and copyright: Torbjrn Wigren
%                       Systems and Control
%                       Department of Information Technology
%                       Uppsala University
%                       Uppsala
%                       Sweden
%
% Revision log: Created 2003-06-05. 
%               Delay handling added 2017-01-25.
%
% Firm revision: revision 1.0, 2004-12-23.
%			     revision 2.0, 2005-08-24 (no changes).
%                revision 3.0, 2017-01-25. 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%
% Get dimension
%

numberOfOutputs=size(y,1);
numberOfInputs=size(u,1);

%
% Plot
%

figure

for i=1:numberOfOutputs
   subplot(numberOfOutputs+numberOfInputs,1,i)
   plot(SamplingInstances',yT(i,:)');
   xlabel('time [s]')
   ytext=['y_T(' num2str(i) ')'];
   ylabel(ytext);
end

for i=1:numberOfInputs
   subplot(numberOfOutputs+numberOfInputs,1,i+numberOfOutputs)
   plot(SamplingInstances',u(i,:)');
   xlabel('time [s]')
   ytext=['u(' num2str(i) ')'];
   ylabel(ytext);
end

figure

for i=1:numberOfOutputs
   subplot(numberOfOutputs+numberOfInputs,1,i)
   plot(SamplingInstances',[y(i,:)' yT(i,:)']);
   xlabel('time [s]')
   ytext=['y(' num2str(i) ') and y_T(' num2str(i) ')'];
   ylabel(ytext);
end

for i=1:numberOfInputs
   subplot(numberOfOutputs+numberOfInputs,1,i+numberOfOutputs)
   plot(SamplingInstances',u(i,:)');
   xlabel('time [s]')
   ytext=['u(' num2str(i) ')'];
   ylabel(ytext);
end

