%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File name: PlotParametersDelay.m
%
% Description: Generates a plot of the evolution of (a selected
%              subset of) the parameter values during identification.
%
% Inputs: Saved estimates.
%
% Outputs: Parameter evolution plot.
%
% Author and copyright: Torbjrn Wigren
%                       Systems and Control
%                       Department of Information Technology
%                       Uppsala University
%                       Uppsala
%                       Sweden
%
% Revision log: Created 2003-06-05.
%               Delay handling added in revision 3.0.
%
% Firm revision: revision 1.0, 2004-12-23.
%				 revision 2.0, 2005-08-24 (no changes). 
%                revision 3.0, 2017-01-27.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%
% Prepare downsampling
%

SamplingInstances_DownSampled=SamplingInstances(downSampling:downSampling:N);

figure

%
% Plot
%

plot(SamplingInstances_DownSampled',theta_save(:,1:ceil(N/downSampling))');
xlabel('time [s]');
ylabel('parameters');
grid

figure

%
% Plot
%

subplot(121)
plot(SamplingInstances_DownSampled',theta_save(1,1:ceil(N/downSampling))');
xlabel('time [s]');
ylabel('delay parameter');
grid
subplot(122)
plot(SamplingInstances_DownSampled',theta_save(2:dimTheta,1:ceil(N/downSampling))');
xlabel('time [s]');
ylabel('dynamics parameters');
grid
